AsymmetricHybridCipherTest (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.pqc.jcajce.provider.test

## Class AsymmetricHybridCipherTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.bouncycastle.pqc.jcajce.provider.test.FlexiTest
      - - org.bouncycastle.pqc.jcajce.provider.test.AsymmetricHybridCipherTest

- All Implemented Interfaces:
    junit.framework.Test
  Direct Known Subclasses:
    McElieceFujisakiCipherTest, McElieceKobaraImaiCipherTest, McEliecePointchevalCipherTest

      public abstract class AsymmetricHybridCipherTest
      extends FlexiTest

  Base class for unit tests of `AsymmetricHybridCipher`s.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected javax.crypto.Cipher` | `cipher` the `AsymmetricHybridCipher` to use for the test
    `protected java.security.KeyPairGenerator` | `kpg` the `KeyPairGenerator` to use for the test

    - ### Fields inherited from class org.bouncycastle.pqc.jcajce.provider.test.FlexiTest

      `rand, sr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AsymmetricHybridCipherTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `performEnDecryptionTest(int numPassesKPG, int numPassesEncDec, int plainTextSize, java.security.spec.AlgorithmParameterSpec params)`

    - ### Methods inherited from class org.bouncycastle.pqc.jcajce.provider.test.FlexiTest

      `assertEquals, assertEquals, assertEquals, assertEquals, fail, setUp`

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, createResult, getName, run, run, runBare, runTest, setName, tearDown, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### kpg

          protected java.security.KeyPairGenerator kpg

      the `KeyPairGenerator` to use for the test

    - #### cipher

          protected javax.crypto.Cipher cipher

      the `AsymmetricHybridCipher` to use for the test

  - ### Constructor Detail

    - #### AsymmetricHybridCipherTest

          public AsymmetricHybridCipherTest()

  - ### Method Detail

    - #### performEnDecryptionTest

          protected final void performEnDecryptionTest(int numPassesKPG,
                                     int numPassesEncDec,
                                     int plainTextSize,
                                     java.security.spec.AlgorithmParameterSpec params)